Zone ManagementZone

Zone

Return VoD pull zone details

curl -X GET "https://api.5centscdn.com/v2/zones/vod/pull/42" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "zone": {
    "type": "pull",
    "id": 12345,
    "serviceid": 67890,
    "alias": "test",
    "hashid": "kd6879j9yjoa",
    "mode": "vod",
    "optimize": "http",
    "optimizer": "0",
    "origin": "https://app.userback.io/VDS",
    "backup": "",
    "cnames": "",
    "live": "N",
    "wafid": null,
    "edgeruleids": 0,
    "dnscheck": 1,
    "ip": null,
    "customhostheader": "",
    "iswordpress": "0",
    "awsSignatureV4": "",
    "disabled": "0",
    "created_at": "2026-03-28 13:48:11",
    "updated_at": "2026-04-08 12:24:08",
    "deleted": null,
    "router": "mycdn",
    "remaining": 0,
    "status": "Enabled",
    "name": "sample-pull-zone",
    "fqdn": "cdn.example.com",
    "fqdnVoD": "cdn.example.com",
    "ssl": {
      "http": "N",
      "http2": "Y",
      "redirect": "N",
      "mode": "S",
      "certid": null,
      "enabled": "Y",
      "warning": false
    },
    "cnamesArr": [],
    "cnamesArrFqdn": [
      "cdn.example.com"
    ],
    "waf": {
      "enabled": "N"
    },
    "defaultBehaviors": {},
    "edgeRules": [],
    "cache": {
      "smart": "0",
      "cache": "30m",
      "expiry": "1d",
      "querystring": "N",
      "cachecontrol": "Y",
      "usestale": "N",
      "revalidate": "Y",
      "cacheInSecs": 1800,
      "cacheInMins": "30",
      "expiryInSecs": 86400,
      "expiryInMins": 1440
    },
    "edge": {
      "compression": "N",
      "compressionlevel": "5",
      "disposition": "N",
      "stripcookie": "N",
      "xff": "N",
      "cors": "Y",
      "webp": "N",
      "pseudostreaming": "Y",
      "wp": "N",
      "lfo": "Y",
      "prefresh": "N"
    },
    "domainlock": {
      "enabled": "N",
      "policy": "N",
      "list": "",
      "ips": "",
      "noreferer": "N",
      "active": "N"
    },
    "geoblock": {
      "enabled": "Y",
      "policy": "N",
      "list": [
        ""
      ],
      "ips": "",
      "active": "Y"
    },
    "ipaccess": {
      "enabled": "N",
      "policy": "N",
      "list": "",
      "ips": "",
      "active": "N"
    },
    "useragent": {
      "enabled": "N",
      "policy": "N",
      "list": "",
      "ips": "",
      "casesensitive": "N",
      "active": "N",
      "listArr": [
        ""
      ]
    },
    "securetoken": {
      "enabled": "N",
      "policy": "F",
      "keyip": "N",
      "list": "",
      "timeout": 5,
      "session": "0",
      "ips": "",
      "dirs": "",
      "active": "N"
    },
    "bwlimit": {
      "enabled": "Y",
      "policy": "1",
      "rate": 30,
      "rateafter": 0,
      "payg": "N",
      "active": "Y"
    },
    "behaviorId": 8250,
    "modeI": "vod",
    "originip": {
      "enabled": "N"
    },
    "baseDirectory": "/VDS",
    "hostHeader": "app.userback.io",
    "shield": {
      "network": "0",
      "enabled": "Y",
      "shields": [
        "SG"
      ]
    },
    "proxied": false,
    "origin_auth": {
      "type": "none"
    },
    "eac": {
      "enabled": "N",
      "policy": "N",
      "list": "",
      "ips": "",
      "active": "N"
    },
    "cdnservice": {
      "purgeurls": [
        "/dashboard/103/zones/vod/pull/5144/purge"
      ],
      "purgeurl": "["\\/dashboard\\/103\\/zones\\/vod\\/pull\\/5144\\/purge"]",
      "authtoken": "c2FtcGxlLWF1dGh0b2tlbi1oZXJl"
    },
    "ftpdetails": {
      "username": "user_67890_push_12345",
      "password": "WA572y4zss"
    },
    "playbackurls": {
      "scheme": "https",
      "name": "/path/to/filename.mp4",
      "url_prefix": "https://cdn.example.com",
      "http": "https://cdn.example.com/path/to/filename.mp4",
      "hls": "https://hash-hls-live.5centscdn.com",
      "dash": "https://hash-hls-live.5centscdn.com",
      "players": {
        "hostname": "player.example.com",
        "flowplayer": {
          "base": "https://player.example.com/flowplayer/hls/",
          "hls": "https://player.example.com/flowplayer/hls/"
        },
        "videojs": {
          "base": "https://player.example.com/videojs/hls/",
          "hls": "https://player.example.com/videojs/hls/"
        },
        "own": {
          "hashes": {},
          "baseQ": "?showcv=true&title=[ReplaceWithVideoTitle]",
          "base": "https://player.example.com/5centscdn/auto/skin1/sampleplayer1/",
          "hls": "https://player.example.com/5centscdn/auto/skin1/sampleplayer1/"
        }
      }
    },
    "seo": {
      "canonical": "N",
      "robots": "N",
      "robotstxt": "N",
      "robotstxtcustom": ""
    },
    "hasEdgeRules": false
  },
  "warnings": null
}
GET
/zones/vod/pull/{zoneid}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Responses

resultstring

Status of the API response.

zoneobject
warningsstring

Array of non-fatal warning messages, or null if no warnings.